aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJef Oliver <jgoliver@jeago.com>2012-08-28 06:05:54 (GMT)
committerJef Oliver <jgoliver@jeago.com>2012-08-28 06:06:08 (GMT)
commitec35a1ba962557a00983b4639c886658460cb3e9 (patch)
tree4b9b243ced6789cf82e86abf4d1b34cbfc23055f
parent4b6255103ecf6e8932e59d7e1c82e4535a5e1698 (diff)
parent05755de00b8c7bc6ca2bc6537f3446cb7d578c82 (diff)
downloadandroid_build-cm-9.1.0.zip
android_build-cm-9.1.0.tar.gz
android_build-cm-9.1.0.tar.bz2
Merge 'ics' HEADcm-9.1.0
-rw-r--r--core/tasks/kernel.mk3
-rw-r--r--tools/device/makerecoveries.sh16
2 files changed, 14 insertions, 5 deletions
diff --git a/core/tasks/kernel.mk b/core/tasks/kernel.mk
index 70358bf..e63c401 100644
--- a/core/tasks/kernel.mk
+++ b/core/tasks/kernel.mk
@@ -16,6 +16,9 @@ KERNEL_CONFIG := $(KERNEL_OUT)/.config
ifeq ($(BOARD_USES_UBOOT),true)
TARGET_PREBUILT_INT_KERNEL := $(KERNEL_OUT)/arch/$(TARGET_ARCH)/boot/uImage
TARGET_PREBUILT_INT_KERNEL_TYPE := uImage
+else ifeq ($(BOARD_USES_UNCOMPRESSED_BOOT),true)
+ TARGET_PREBUILT_INT_KERNEL := $(KERNEL_OUT)/arch/$(TARGET_ARCH)/boot/Image
+ TARGET_PREBUILT_INT_KERNEL_TYPE := Image
else
TARGET_PREBUILT_INT_KERNEL := $(KERNEL_OUT)/arch/$(TARGET_ARCH)/boot/zImage
TARGET_PREBUILT_INT_KERNEL_TYPE := zImage
diff --git a/tools/device/makerecoveries.sh b/tools/device/makerecoveries.sh
index 8cb3c4e..d18c6c3 100644
--- a/tools/device/makerecoveries.sh
+++ b/tools/device/makerecoveries.sh
@@ -1,7 +1,7 @@
if [ -z "$1" ]
then
echo "Please provide a lunch option."
- return
+ return 1
fi
PRODUCTS=$1
@@ -22,7 +22,7 @@ then
fi
function mcpguard () {
- if [ -z $NO_UPLOAD ]
+ if [ -z "$NO_UPLOAD" ]
then
mcp $1 $2
md5sum $1 > $1.md5sum.txt
@@ -42,7 +42,13 @@ echo Recovery Version: $RELEASE_VERSION
for lunchoption in $PRODUCTS
do
lunch $lunchoption
- if [ -z $NO_CLEAN ]
+ RESULT=$?
+ if [ "$RESULT" != "0" ]
+ then
+ echo build error!
+ return 1
+ fi
+ if [ -z "$NO_CLEAN" ]
then
rm -rf $OUT/obj/EXECUTABLES/recovery_intermediates
rm -rf $OUT/recovery*
@@ -52,10 +58,10 @@ do
PRODUCT_NAME=$(basename $OUT)
make -j16 recoveryzip
RESULT=$?
- if [ $RESULT != "0" ]
+ if [ "$RESULT" != "0" ]
then
echo build error!
- break
+ return 1
fi
mcpguard $OUT/recovery.img recoveries/recovery-clockwork-$RELEASE_VERSION-$DEVICE_NAME.img
mcpguard $OUT/utilities/update.zip recoveries/recovery-clockwork-$RELEASE_VERSION-$DEVICE_NAME.zip